package com.ruoyi.syzy.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 一分一段对象 b_busi_wish_score_groups
 * 
 * @author mingxue
 * @date 2021-08-19
 */
public class BBusiWishScoreGroups extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 所在地 */
    @Excel(name = "所在地")
    private String location;

    /** 年份 */
    @Excel(name = "年份")
    private Integer year;

    /** 科类 */
    @Excel(name = "科类")
    private String mode;

    private String modeName;

    /** 投档分 */
    @Excel(name = "投档分")
    private Integer score;

    /** 人数 */
    @Excel(name = "人数")
    private Long num;

    /** 累计人数 */
    @Excel(name = "累计人数")
    private Long numTotal;

    /** 状态(0:无效,1:有效) */
    @Excel(name = "状态(0:无效,1:有效)")
    private Integer status;

    private Integer maxScore;
    private Integer lowestRank;
    private Integer highestRank;
    private Integer scoreRank;
    private Integer type;//1查分数，2查位次

    public Integer getType() {
        return type;
    }

    public BBusiWishScoreGroups setType(Integer type) {
        this.type = type;
        return this;
    }

    public Integer getScoreRank() {
        return scoreRank;
    }

    public BBusiWishScoreGroups setScoreRank(Integer scoreRank) {
        this.scoreRank = scoreRank;
        return this;
    }

    public String getModeName() {
        return modeName;
    }

    public void setModeName(String modeName) {
        this.modeName = modeName;
    }

    public Integer getMaxScore() {
        return maxScore;
    }

    public void setMaxScore(Integer maxScore) {
        this.maxScore = maxScore;
    }

    public Integer getLowestRank() {
        return lowestRank;
    }

    public void setLowestRank(Integer lowestRank) {
        this.lowestRank = lowestRank;
    }

    public Integer getHighestRank() {
        return highestRank;
    }

    public void setHighestRank(Integer highestRank) {
        this.highestRank = highestRank;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public BBusiWishScoreGroups setLocation(String location) {
        this.location = location;
        return this;
    }

    public String getLocation() {
        return location;
    }

    public BBusiWishScoreGroups setYear(Integer year) {
        this.year = year;
        return this;
    }

    public Integer getYear() {
        return year;
    }

    public BBusiWishScoreGroups setMode(String mode) {
        this.mode = mode;
        return this;
    }

    public String getMode() {
        return mode;
    }

    public void setScore(Integer score) {
        this.score = score;
    }

    public Integer getScore() {
        return score;
    }

    public void setNum(Long num) {
        this.num = num;
    }

    public Long getNum() {
        return num;
    }

    public void setNumTotal(Long numTotal) {
        this.numTotal = numTotal;
    }

    public Long getNumTotal() {
        return numTotal;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getStatus() {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("location", getLocation())
            .append("year", getYear()).append("mode", getMode()).append("score", getScore()).append("num", getNum())
            .append("numTotal", getNumTotal()).append("createTime", getCreateTime()).append("status", getStatus()).toString();
    }
}
